Subject: [mpls] Comments on draft-ravisingh-mpls-el-for-seamless-mpls

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Thu, 7 Nov 2013 08:22:58 +0000

Hi Ravi, Yimin,

I have couple of comments.

1. Stitched LSP - Proposed really offers optimization in stitched scenario.

a. Allows EL usage for even wider than just EL capable segments.
b. Potentially speeds data traversal over stitched LSP as number of times ELI/EL popped/pushed are reduced.

Document sort of eludes to this, but I think it'll be beneficial to state that things will work as is (RFC6790), but proposal can be used as optimization.

2. Hierarchical LSP

>   B. Preventing multiple (ELI+EL) pairs underneath a given forwarding
>       label in the stack:

I highly support above statement. Having multiple ELs in the stack will, yet again, cause more changes required in LSP traceroute wrt multipath information handling, and requires even more complex computation by initiator to traverse ECMP paths.

-Nobo